[**@rxap/data-source v19.1.0-dev.2**](../README.md)

***

[@rxap/data-source](../globals.md) / DataSourceErrorComponent

# Class: DataSourceErrorComponent

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:50](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L50)

## Implements

- `OnChanges`
- `OnInit`
- `OnDestroy`

## Constructors

### new DataSourceErrorComponent()

> **new DataSourceErrorComponent**(`environment`): [`DataSourceErrorComponent`](DataSourceErrorComponent.md)

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:85](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L85)

#### Parameters

##### environment

`Environment`

#### Returns

[`DataSourceErrorComponent`](DataSourceErrorComponent.md)

## Properties

### error?

> `optional` **error**: `unknown`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:53](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L53)

***

### errorMessage

> **errorMessage**: `WritableSignal`\<`string`\>

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:78](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L78)

***

### isNotRelease

> **isNotRelease**: `boolean` = `false`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:76](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L76)

***

### loading?

> `optional` **loading**: `boolean` \| `Observable`\<`boolean`\>

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:74](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L74)

***

### refresh()?

> `optional` **refresh**: () => `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:56](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L56)

#### Returns

`void`

***

### reset()?

> `optional` **reset**: () => `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:62](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L62)

#### Returns

`void`

***

### resetInProgress

> **resetInProgress**: `WritableSignal`\<`boolean`\>

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:81](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L81)

***

### retry()?

> `optional` **retry**: () => `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:59](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L59)

#### Returns

`void`

***

### retryInProgress

> **retryInProgress**: `WritableSignal`\<`boolean`\>

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:80](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L80)

## Accessors

### dataSourceLike

#### Set Signature

> **set** **dataSourceLike**(`value`): `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:65](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L65)

##### Parameters

###### value

[`DataSourceLikeForErrorHandling`](../interfaces/DataSourceLikeForErrorHandling.md)

##### Returns

`void`

## Methods

### ngOnChanges()

> **ngOnChanges**(`changes`): `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:92](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L92)

A callback method that is invoked immediately after the
default change detector has checked data-bound properties
if at least one has changed, and before the view and content
children are checked.

#### Parameters

##### changes

`SimpleChanges`

The changed properties.

#### Returns

`void`

#### Implementation of

`OnChanges.ngOnChanges`

***

### ngOnDestroy()

> **ngOnDestroy**(): `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:105](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L105)

A callback method that performs custom clean-up, invoked immediately
before a directive, pipe, or service instance is destroyed.

#### Returns

`void`

#### Implementation of

`OnDestroy.ngOnDestroy`

***

### ngOnInit()

> **ngOnInit**(): `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:109](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L109)

A callback method that is invoked immediately after the
default change detector has checked the directive's
data-bound properties for the first time,
and before any of the view or content children have been checked.
It is invoked only once when the directive is instantiated.

#### Returns

`void`

#### Implementation of

`OnInit.ngOnInit`

***

### triggerReset()

> **triggerReset**(): `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:142](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L142)

#### Returns

`void`

***

### triggerRetry()

> **triggerRetry**(): `void`

Defined in: [packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts:132](https://gitlab.com/rxap/packages/-/blob/e40fbf25c2cedeb065b661a89d70669104014cad/packages/angular/data-source/src/lib/data-source-error/data-source-error.component.ts#L132)

#### Returns

`void`
